Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA_Default_Policy_Validator Class Reference

`#include <Default_Policy_Validator.h>`

Inheritance diagram for TAO_POA_Default_Policy_Validator:

[legend]
Collaboration diagram for TAO_POA_Default_Policy_Validator:

[legend]
List of all members.

## Public Methods
| TAO_POA_Default_Policy_Validator (TAO_ORB_Core &orb_core)
| Constructor.
| ~TAO_POA_Default_Policy_Validator (void)
| Destructor.
## Protected Methods
void | validate_impl (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
void | merge_policies_impl (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
| Add/merge policies.
virtual CORBA::Boolean | legal_policy_impl (CORBA::PolicyType type)

## Constructor & Destructor Documentation

TAO_POA_Default_Policy_Validator::TAO_POA_Default_Policy_Validator | ( | TAO_ORB_Core & | orb_core | ) |

| Constructor.

TAO_POA_Default_Policy_Validator::~TAO_POA_Default_Policy_Validator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

CORBA::Boolean TAO_POA_Default_Policy_Validator::legal_policy_impl | ( | CORBA::PolicyType | type | ) | `[protected, virtual]`

| Return whether the specified policy type is legal for the current configuration. This is needed since the user can potentially specify policies that are unknown to an validate () routine, and these need to be caught. Implements TAO_Policy_Validator.

void TAO_POA_Default_Policy_Validator::merge_policies_impl | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Add/merge policies. Implements TAO_Policy_Validator.

void TAO_POA_Default_Policy_Validator::validate_impl | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Validate that the policies in the specified set are consistent and legal. Throw an appropriate exception if that is not the case. Implements TAO_Policy_Validator.

The documentation for this class was generated from the following files:

- Default_Policy_Validator.h
- Default_Policy_Validator.cpp